Get the certificate settings
The rescue’s, or ask and no text of its own when it has saved none.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
certificate-settings
Get the certificate settings
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/certificate-settings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/certificate-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/certificate-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"settings": {
"vet_signature": "always",
"rabies_text": "<string>",
"spay_neuter_text": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Get the certificate settings
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/certificate-settings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/certificate-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/certificate-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"settings": {
"vet_signature": "always",
"rabies_text": "<string>",
"spay_neuter_text": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
